Skip to main content

Slot

Slot schema used by the TheBooking public API.

Fields

FieldRequiredTypeDescription
availabilityIdNostringCanonical slot identifier returned by GET /availability/get/.
serviceIdNostringTheBooking service identifier.
providerIdNointeger or stringTheBooking provider identifier.
startNointeger (int64)Unix timestamp for the slot start.
endNointeger (int64)Unix timestamp for the slot end.
bookableNobooleanWhether the slot can currently be booked.
routingModeNoenum(manual, auto)How TheBooking selected or exposes providers for this slot.
eligibleProviderIdsNoarray of integer or stringProviders that can serve the slot when automatic routing is available.
reservationsCountNointegerCurrent reservations already assigned to the slot.
overridesNoobjectAvailability adjustments applied to the returned slot.

Example

{
"availabilityId": "slot_123",
"serviceId": "service_123",
"providerId": 123,
"start": 1779148800,
"end": 1779152400,
"bookable": true,
"routingMode": "manual",
"eligibleProviderIds": [
123
],
"reservationsCount": 1,
"overrides": {}
}